> ## Documentation Index
> Fetch the complete documentation index at: https://arizeai-433a7140.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List dataset labels

> Retrieve a paginated list of all dataset labels in the system.



## OpenAPI

````yaml get /v1/dataset_labels
openapi: 3.1.0
info:
  title: Arize-Phoenix REST API
  description: Schema for Arize-Phoenix REST API
  version: '1.0'
servers: []
security: []
paths:
  /v1/dataset_labels:
    get:
      tags:
        - datasets
      summary: List dataset labels
      description: Retrieve a paginated list of all dataset labels in the system.
      operationId: listDatasetLabels
      parameters:
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Cursor for pagination (a dataset label GlobalID)
            title: Cursor
          description: Cursor for pagination (a dataset label GlobalID)
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            exclusiveMinimum: 0
            description: The max number of dataset labels to return at a time.
            default: 100
            title: Limit
          description: The max number of dataset labels to return at a time.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetDatasetLabelsResponseBody'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                type: string
        '422':
          description: Unprocessable Entity
          content:
            text/plain:
              schema:
                type: string
components:
  schemas:
    GetDatasetLabelsResponseBody:
      properties:
        data:
          items:
            $ref: '#/components/schemas/DatasetLabel'
          type: array
          title: Data
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      type: object
      required:
        - data
        - next_cursor
      title: GetDatasetLabelsResponseBody
    DatasetLabel:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        color:
          type: string
          title: Color
      type: object
      required:
        - id
        - name
        - description
        - color
      title: DatasetLabel

````